<mamecheat version="1">

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@4B8E</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4B8E=90</action>
    </script>
    <script state="off">
      <action>maincpu.mb@4B8E=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Bullet Speed Up">
    <script state="on">
      <action>temp0 =maincpu.mw@4F47</action>
      <action>temp1 =maincpu.md@57C9</action>
      <action>temp2 =maincpu.md@57CC</action>
      <action>temp3 =maincpu.mw@57CF</action>
    </script>
    <script state="run">
      <action>maincpu.mw@4F47=57C9</action>
      <action>maincpu.md@57C9=0040E60A|(maincpu.md@57C9 BAND ~00FFFFFF)</action> <!-- 1st = jp nz,$4F58 - jp nz,$57C9, 2nd = ld a,(bc) + and $40 -->
      <action>maincpu.md@57CC=004F4CCA|(maincpu.md@57CC BAND ~00FFFFFF)</action> <!-- jp z,$4F4C -->
      <action>maincpu.mw@57CF=C9C1</action> <!-- pop bc + ret -->
    </script>
    <script state="off">
      <action>maincpu.mw@4F47=temp0 </action>
      <action>maincpu.md@57C9=temp1 </action>
      <action>maincpu.md@57CC=temp2 </action>
      <action>maincpu.mw@57CF=temp3 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@7062=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@7004=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@7005=09</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
